Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.statcvs.output
Class RepoMapPageMaker

    java.lang.Object
      net.sf.statcvs.output.RepoMapPageMaker

    public class RepoMapPageMaker

extends java.lang.Object

New report that Repo Map, a jtreemap-based report (applet) that shows the entire source tree in a hierarchical manner, the size of each box is related to LOC and the colour to the changes over the last 30 days (red -loc, green +loc).

Author:
  Benoit Xhenseval (www.objectlab.co.uk)
See Also:
  `for more about JTreeMap.`

Constructor Summary
`RepoMapPageMaker(ReportConfig config)`

Method Summary
`NavigationNode` | `toFile()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RepoMapPageMaker

    public RepoMapPageMaker(ReportConfig config)

See Also:
  `net.sf.statcvs.output.HTMLPage#HTMLPage(Repository)`

Method Detail

### toFile

    public NavigationNode toFile()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD